posix_initgroups
posix_kill
POSIX Functions
PHP Manual

# posix_isatty

(PHP 4, PHP 5)

posix_isatty — Determine if a file descriptor is an interactive terminal

### Description

bool posix_isatty ( int `$fd` )

Determines if the file descriptor `fd` refers to a valid terminal type device.

### Parameters

`fd`

  The file descriptor.

### Return Values

Returns `TRUE` if `fd` is an open descriptor connected to a terminal and `FALSE` otherwise.

### See Also

- posix_ttyname() - Determine terminal device name

posix_initgroups
posix_kill
POSIX Functions
PHP Manual